C===========================================================================
C Copyright (C) 1995-2005 European Southern Observatory (ESO)
C
C This program is free software; you can redistribute it and/or
C modify it under the terms of the GNU General Public License as
C published by the Free Software Foundation; either version 2 of
C the License, or (at your option) any later version.
C
C This program is distributed in the hope that it will be useful,
C but WITHOUT ANY WARRANTY; without even the implied warranty of
C MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C GNU General Public License for more details.
C
C You should have received a copy of the GNU General Public
C License along with this program; if not, write to the Free
C Software Foundation, Inc., 675 Massachusetts Ave, Cambridge,
C MA 02139, USA.
C
C Correspondence concerning ESO-MIDAS should be addressed as follows:
C       Internet e-mail: midas@eso.org
C       Postal address: European Southern Observatory
C                       Data Management Division
C                       Karl-Schwarzschild-Strasse 2
C                       D 85748 Garching bei Muenchen
C                       GERMANY
C===========================================================================

      SUBROUTINE IIGTXT(DSPLAY,CHAN,STRING,XPOS,YPOS,PATH,
     +                  ORIENT,INTENS,HT,IDST)
C
      IMPLICIT NONE
C
      CHARACTER*(*)    STRING
      INTEGER     DSPLAY,CHAN
      INTEGER     XPOS,YPOS,PATH,ORIENT,INTENS,HT,IDST
C
      CALL IIG1(DSPLAY,CHAN,XPOS,YPOS,PATH)
      CALL IIG2(STRING,ORIENT,INTENS,HT,IDST)

C
      RETURN
      END

      SUBROUTINE IIGPLY(DSPLAY,CHAN,XFIG,YFIG,NDIM,INTENS,STYLE,IDST)
C
      IMPLICIT NONE
C
      INTEGER     DSPLAY,CHAN
      INTEGER     XFIG,YFIG,NDIM,INTENS,STYLE,IDST
C
      CALL IIG1(DSPLAY,CHAN,XFIG,YFIG,0)
      CALL IIG3(NDIM,INTENS,STYLE,IDST)
C
      RETURN
      END

